org.eclipse.modisco.jee.jsp.generation.files

## Class GenerateJsp

- java.lang.Object
- - AbstractAcceleoGenerator
  - - org.eclipse.modisco.jee.jsp.generation.files.GenerateJsp

    public class GenerateJsp
    extends AbstractAcceleoGenerator

Entry point of the 'GenerateJsp' generation module.

Generated:

### Field Summary

Fields
`static java.lang.String` `MODULE_FILE_NAME` The name of the module.
`static java.lang.String[]` `TEMPLATE_NAMES` The name of the templates that are to be generated.

### Constructor Summary

Constructors
Constructor and Description
`GenerateJsp()` Allows the public constructor to be used.
`GenerateJsp(EObject model, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)` This allows clients to instantiates a generator with all required information.
`GenerateJsp(URI modelURI, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)` This allows clients to instantiates a generator with all required information.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doGenerate(Monitor monitor)` Launches the generation described by this instance.
`java.util.List<IAcceleoTextGenerationListener>` `getGenerationListeners()` If this generator needs to listen to text generation events, listeners can be returned from here.
`IAcceleoGenerationStrategy` `getGenerationStrategy()` If you need to change the way files are generated, this is your entry point.
`java.lang.String` `getModuleName()` This will be called in order to find and load the module that will be launched through this launcher.
`java.util.List<java.lang.String>` `getProperties()` If the module(s) called by this launcher require properties files, return their qualified path from here.Take note that the first added properties files will take precedence over subsequent ones if they contain conflicting keys.
`java.lang.String[]` `getTemplateNames()` This will be used to get the list of templates that are to be launched by this launcher.
`static void` `main(java.lang.String[] args)` This can be used to launch the generation from a standalone application.
`void` `registerPackages(ResourceSet resourceSet)` This can be used to update the resource set's package registry with all needed EPackages.
`void` `registerResourceFactories(ResourceSet resourceSet)` This can be used to update the resource set's resource factory registry with all needed factories.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MODULE_FILE_NAME

    public static final java.lang.String MODULE_FILE_NAME

The name of the module.

See Also:
  Constant Field Values
Generated:

#### TEMPLATE_NAMES

    public static final java.lang.String[] TEMPLATE_NAMES

The name of the templates that are to be generated.

Generated:

### Constructor Detail

#### GenerateJsp

    public GenerateJsp()

Allows the public constructor to be used. Note that a generator created this way cannot be used to launch generations before one of `#initialize(EObject, File, List)` or `#initialize(URI, File, List)` is called.

The main reason for this constructor is to allow clients of this generation to call it from another Java file, as it allows for the retrieval of `getProperties()` and `getGenerationListeners()`.

Generated:

#### GenerateJsp

    public GenerateJsp(URI modelURI,
                       java.io.File targetFolder,
                       java.util.List<? extends java.lang.Object> arguments)
                throws java.io.IOException

This allows clients to instantiates a generator with all required information.

Parameters:
  `modelURI` - URI where the model on which this generator will be used is located.
  `targetFolder` - This will be used as the output folder for this generation : it will be the base path against which all file block URLs will be resolved.
  `arguments` - If the template which will be called requires more than one argument taken from the model, pass them here.
Throws:
  `java.io.IOException` - This can be thrown in three scenarios : the module cannot be found, it cannot be loaded, or the model cannot be loaded.
Generated:

#### GenerateJsp

    public GenerateJsp(EObject model,
                       java.io.File targetFolder,
                       java.util.List<? extends java.lang.Object> arguments)
                throws java.io.IOException

This allows clients to instantiates a generator with all required information.

Parameters:
  `model` - We'll iterate over the content of this element to find Objects matching the first parameter of the template we need to call.
  `targetFolder` - This will be used as the output folder for this generation : it will be the base path against which all file block URLs will be resolved.
  `arguments` - If the template which will be called requires more than one argument taken from the model, pass them here.
Throws:
  `java.io.IOException` - This can be thrown in two scenarios : the module cannot be found, or it cannot be loaded.
Generated:

### Method Detail

#### main

    public static void main(java.lang.String[] args)

This can be used to launch the generation from a standalone application.

Parameters:
  `args` - Arguments of the generation.
Generated:

#### doGenerate

    public void doGenerate(Monitor monitor)
                    throws java.io.IOException

Launches the generation described by this instance.

Parameters:
  `monitor` - This will be used to display progress information to the user.
Throws:
  `java.io.IOException` - This will be thrown if any of the output files cannot be saved to disk.
Generated:

#### getGenerationListeners

    public java.util.List<IAcceleoTextGenerationListener> getGenerationListeners()

If this generator needs to listen to text generation events, listeners can be returned from here.

Returns:
  List of listeners that are to be notified when text is generated through this launch.
Generated:

#### getGenerationStrategy

    public IAcceleoGenerationStrategy getGenerationStrategy()

If you need to change the way files are generated, this is your entry point.

The default is `org.eclipse.acceleo.engine.generation.strategy.DefaultStrategy`; it generates files on the fly. If you only need to preview the results, return a new `org.eclipse.acceleo.engine.generation.strategy.PreviewStrategy`. Both of these aren't aware of the running Eclipse and can be used standalone.

If you need the file generation to be aware of the workspace (A typical example is when you wanna override files that are under clear case or any other VCS that could forbid the overriding), then return a new `org.eclipse.acceleo.engine.generation.strategy.WorkspaceAwareStrategy` . Note, however, that this cannot be used standalone.

All three of these default strategies support merging through JMerge.

Returns:
  The generation strategy that is to be used for generations launched through this launcher.
Generated:

#### getModuleName

    public java.lang.String getModuleName()

This will be called in order to find and load the module that will be launched through this launcher. We expect this name not to contain file extension, and the module to be located beside the launcher.

Returns:
  The name of the module that is to be launched.
Generated:

#### getProperties

    public java.util.List<java.lang.String> getProperties()

If the module(s) called by this launcher require properties files, return their qualified path from here.Take note that the first added properties files will take precedence over subsequent ones if they contain conflicting keys.

Properties need to be in source folders, the path that we expect to get as a result of this call are of the form <package>.<properties file name without extension>. For example, if you have a file named "messages.properties" in package "org.eclipse.acceleo.sample", the path that needs be returned by a call to `getProperties()` is "org.eclipse.acceleo.sample.messages".

Returns:
  The list of properties file we need to add to the generation context.
See Also:
  `ResourceBundle.getBundle(String)`
Generated:

#### getTemplateNames

    public java.lang.String[] getTemplateNames()

This will be used to get the list of templates that are to be launched by this launcher.

Returns:
  The list of templates to call on the module `getModuleName()`.
Generated:

#### registerPackages

    public void registerPackages(ResourceSet resourceSet)

This can be used to update the resource set's package registry with all needed EPackages.

Parameters:
  `resourceSet` - The resource set which registry has to be updated.
Generated:

#### registerResourceFactories

    public void registerResourceFactories(ResourceSet resourceSet)

This can be used to update the resource set's resource factory registry with all needed factories.

Parameters:
  `resourceSet` - The resource set which registry has to be updated.
Generated: